Package org.apache.tomcat.util.bcel.classfile

## Class ConstantLong

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantLong

-     public final class ConstantLong
      extends Constant

  This class is derived from the abstract `Constant` and represents a reference to a long object.
  See Also:
    `Constant`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBytes()` |

    - ### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

      `getTag, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBytes

          public long getBytes()

      Returns:
        data, i.e., 8 bytes.